[New-bugs-announce] [issue12411] cgi.parse_multipart is broken on 3.x

Jonas Wagner report at bugs.python.org
Sat Jun 25 17:09:08 CEST 2011

New submission from Jonas Wagner <veers at gmx.ch>:

While writing tests for the cgi module I came across what looks like a conversion bug.

cgi.parse_multipart is comparing values it reads from a binary file like with a string literal:
line = fp.readline()
if line.startswith("--"):

This patch adds fixes the issue and adds test for it.

components: Library (Lib)
files: cgi-coverage.diff
keywords: patch
messages: 139082
nosy: jonas.wagner
priority: normal
severity: normal
status: open
title: cgi.parse_multipart is broken on 3.x
type: behavior
versions: Python 3.3
Added file: http://bugs.python.org/file22470/cgi-coverage.diff

Python tracker <report at bugs.python.org>

More information about the New-bugs-announce mailing list